## kolf 25.08.1+p24.04+vstable+git20250926.0854

=== debian/changelog ===
kolf (4:25.08.1+p24.04+vstable+git20250926.0854-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 08:54:49 +0000

kolf (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:38:03 +0000
