=== sounds/CMakeLists.txt ===
install( FILES blackhole.wav blackholeputin.wav blackholeeject.wav bumper.wav hit.wav holed.wav holeinone.wav puddle.wav wall.wav woohoo.wav DESTINATION  ${KDE_INSTALL_DATADIR}/kolf/sounds )
