## kolf 25.08.2+p24.04+vstable+git20251011.1247

=== debian/changelog ===
kolf (4:25.08.2+p24.04+vstable+git20251011.1247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 12:47:30 +0000

kolf (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:22:58 +0000
