## kolf 25.08.2+p24.04+vstable+git20251019.0541

=== debian/changelog ===
kolf (4:25.08.2+p24.04+vstable+git20251019.0541-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:41:44 +0000
