## kolf 25.08.3+p24.04+vunstable+git20251206.0722

=== debian/changelog ===
kolf (4:25.08.3+p24.04+vunstable+git20251206.0722-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:22:36 +0000
