## kolf 25.12.0+p24.04+vstable+git20251211.0156

=== debian/changelog ===
kolf (4:25.12.0+p24.04+vstable+git20251211.0156-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 01:56:12 +0000

kolf (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:37:49 +1000
