## kolf 25.12.0+p24.04+vstable+git20260105.1042

=== debian/changelog ===
kolf (4:25.12.0+p24.04+vstable+git20260105.1042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:42:03 +0000
