## kolf 25.12.1+p24.04+vstable+git20260106.1921

=== debian/changelog ===
kolf (4:25.12.1+p24.04+vstable+git20260106.1921-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 19:21:35 +0000

kolf (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:28:02 +1000
