## kolf 25.12.1+p24.04+vstable+git20260131.0350

=== debian/changelog ===
kolf (4:25.12.1+p24.04+vstable+git20260131.0350-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:50:44 +0000
