=== debian/changelog ===
kolf (4:25.12.1+p24.04+vunstable+git20260131.0056-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 00:56:56 +0000
